<div class="page-header">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="<%= dashboard_path %>"><%= t("views.right_panel.button.home") %></a></li>
    <li class="breadcrumb-item active"><%= t("views.right_panel.detail.cb_payments") %></li>
    <span class="float-right">
      <%= link_to 'Back', dashboard_path %>
    </span>
  </ol>
</div>
<div class="row">
	<div class="col-md-12">

		<%= render :partial=>'shift_card_sale_tran_report_filter',
		:locals=>{ 	:period_type => true, :shift_name => true,:payments => true, :report_path =>reports_card_sale_tran_index_path} %>
		<hr />

			<div class="text-right">
				<a href="javascript:export_to('<%=reports_card_sale_tran_index_path%>.xls')" class = "btn btn-info wave-effects"><%= t("views.btn.exp_to_excel") %></a>
			</div>

		<div class="margin-top-20 mbl-table">
			<div class="card mbl-table-card" style="width:112%;">
				<table class="table table-striped" border="0">
					<thead>

						<tr>
							<th colspan="9"> <%= t("views.right_panel.detail.from_date") %> : <%= @from.utc.getlocal.strftime("%Y-%b-%d") rescue '-' %>  - <%= t("views.right_panel.detail.to_date") %> : <%= @to.utc.getlocal.strftime("%Y-%b-%d")  rescue '-'%></th>
						</tr>
						<% if @shift_from %>
						<tr>
							<% if @shift_data.employee %>
							<% cashier_name = !@shift_data.nil? ? @shift_data.employee.name : '-' %>
							<% end %>
							<th colspan="9"><%= t("views.right_panel.detail.shift_name") %> =  <%= @shift_from %> - <%= @shift_to %> ( <%= cashier_name %> )</th>
						</tr>
						<% end %>

			            <tr>
			                <th><%= t("views.right_panel.detail.req_date") %></th>
			                <th><%= t("views.right_panel.detail.req_no") %></th>
			                <th><%= t("views.right_panel.detail.req_amount") %></th>
			                <th><%= t("views.right_panel.detail.res_date") %></th>
			                <th><%= t("views.right_panel.detail.ref_no") %></th>
			                <th><%= t("views.right_panel.detail.res_amount") %></th>
			                <th><%= t("views.right_panel.detail.payment_type") %></th>
			                <th><%= t("views.right_panel.detail.Customer_name") %></th>
			                <th><%= t("views.right_panel.detail.Cashier_name") %></th>
			                <th><%= t("views.right_panel.detail.detail") %></th>
			            </tr>
					</thead>
					<tbody>
		              	<% if @cardSales != 0 %>
		                  	<% @cardSales.each do |cardSale| %>
		                    	<tr>
			                      	<td><%= cardSale.req_date %> <%= cardSale.req_time.utc.getlocal.strftime("%I:%M %p") %></td>
			                      	<td><%= cardSale.req_inv_no %></td>
			                      	<td><%= cardSale.req_amt %></td>
			                      	<td><%= cardSale.res_date %> <%= cardSale.res_time.utc.getlocal.strftime("%I:%M %p") %></td>
			                      	<td><%= cardSale.ref_no %></td>
			                      	<td><%= cardSale.res_amt %></td>
			                      	<td>
			                      		<% if cardSale.app == 'cup' %>
			                      			UnionPay
			                      		<% else %>
			                      			<%= cardSale.app %>
			                      		<% end %>
			                      	</td>
			                      	<td><%= cardSale.sale.customer.name rescue '-' %></td>
			                      	<td><%= cardSale.sale.cashier_name rescue '-' %></td>
	                                <td>
	                                  <% if cardSale.terminal_id != ''  %>
	                                    TID : <%= cardSale.terminal_id %>
	                                    <br>
	                                  <% end %>
	                                  <% if cardSale.merchant_id != ''  %>
	                                    MID : <%= cardSale.merchant_id %>
	                                    <br>
	                                  <% end %>
	                                  <% if cardSale.batch_no != ''  %>
	                                    Batch : <%= cardSale.batch_no %>
	                                    <br>
	                                  <% end %>
	                                  <% if cardSale.trace != ''  %>
	                                    Trace : <%= cardSale.trace %>
	                                  <% end %>
	                                </td>
		                    	</tr>
		                  	<% end %>
		              	<% else %>
		                    <tr><td colspan="10"><strong><p style="text-align: center">There is no data for search....</p></strong></td></tr>
		             	<% end %>
		            </tbody>
				</table>
			</div>
		</div>
	</div>
</div>

<script>
	$(function(){

		var check_arr = [];
		search_by_period();
		$('#sel_period').change(function(){

			search_by_period();

		});

		function search_by_period(){
			var period = $('#sel_period').val();
			var period_type = 0;
			var from = "";
			var to = "";

			show_shift_name(period,period_type,from,to,'shift_item');
		}

		// OK button is clicked
		$('#from').bootstrapMaterialDatePicker().on('beforeChange', function(e, date){
			new_date = new Date(date) ;
			month    = parseInt(new_date.getMonth()+1)
			from = new_date.getDate() + "-" + month + "-" + new_date.getFullYear();
			$('#from').val(from)
			search_by_date();
		});
		$('#to').bootstrapMaterialDatePicker().on('beforeChange', function(e, date){
			new_date = new Date(date) ;
			month    = parseInt(new_date.getMonth()+1)
			to = new_date.getDate() + "-" + month + "-" + new_date.getFullYear();
			$('#to').val(to)
			search_by_date();
		});

		function search_by_date(){

	  		from = $("#from").val();
	  		to   = $("#to").val();

			var period = 0;
			var period_type = 1;

			if(to != '' && from != ''){
				shift_name = from + ',' + to;

				check_arr.push(to);

				if(check_arr.length == 1){
					show_shift_name(period,period_type,from,to,'shift_item');
				}
				if(check_arr.length == 3){
					check_arr = [];
				}
			}

		}

		function show_shift_name(period,period_type,from,to,shift_item){
			var shift = $('#shift_name');

			shift.empty();

			var str = '';
			var param_shift = '';
			var param_shift = '<%= params[:shift_name] rescue '-'%>';
			if (from == '' && to == '') {
				from = $("#from").val();
	  		    to   = $("#to").val();
			}
			url = '<%= reports_get_shift_by_date_path %>';

			$.get(url, {period :period, period_type :period_type, from :from, to :to, report_type :shift_item} , function(data){

				str = '<option value="0">--- All Shift ---</option>';
				$(data.message).each(function(index){

					var local_date = data.message[index].local_opening_date + ' - ' + data.message[index].local_closing_date;
					var sh_date = data.message[index].opening_date + ' - ' + data.message[index].closing_date;
					var shift_id = data.message[index].shift_id ;
					if(param_shift != ''){
						if(shift_id == param_shift){
							selected = 'selected = "selected"';
						}
						else{
							selected = '';
						}
					}else{
						selected = '';
					}
					str += '<option value="'+ shift_id +'" '+ selected +'>' + local_date + '</option>';

			   // console.log(sh_date)
			})
				shift.append(str);
			});
		}

	});
</script>
